<?php
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("lin_nombre","lineas","id_linea=$Id");		
		$StrObs=gs("lin_obs","lineas","id_linea=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}	
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("lineas","lin_nombre='$StrNom'")>0){
			$LStrMsg="Nombre de linea ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_linea","lineas");
			$s="INSERT INTO lineas VALUES ($Id,'$StrNom','$StrObs')";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrObs="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("lineas","lin_nombre='$StrNom' AND id_linea<>$StrId")>0){
			$LStrMsg="Nombre de linea ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			$s="UPDATE lineas SET lin_nombre='$StrNom',
				lin_obs='$StrObs' WHERE id_linea=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrObs="";
		}
	}
	if($StrCmd=="E" ){
		if(gn("count(*)","productos","pro_id_linea=$StrId")>0){
			$LStrMsg="Uno o mas *productos* estan relacionados al presente registro,";
			$LStrMsg=$LStrMsg." por lo tanto no se puede eliminar.";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$s="DELETE FROM lineas WHERE id_linea=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}
	}
	//////////////////////////////////
	if(strlen($LStrFoc)==0){
		$LStrFoc="document.getElementById('TxtNom').focus();";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>

